confirm_link_Oblò - Flybox Innovative Avionics

Go to content

From this page you can choose the correct update for your version of Oblò/Oblò2.
We have also sent you an email with instructions on how to upgrade.

Pay attention choosing the correct version for your instrument from the list below.
Installing the wrong version may lead to abnormal behaviour of certain functions.
Check in the ABOUT page of your Oblò for Core and HW versions, in the example Core: 3.01 and HW: 00000104.
If your current version of Core is less than V5, click here.
Otherwise go to the list below.
For HW 20000C4A or 20000D00 click here.
For HW 2000014A or 20000200 click here.
For HW 00000C04 click here.
For HW 00000104 or 00000200 click here.
If your current configuration is not present, contact support.
UTILITIES
FOLLOW US
-
-
-
NEWSLETTER
CONTACT
-
MADE IN ITALY
© Microel s.r.l. - Flybox Copyright 2022 All rights reserved
Back to content